# Module `awful.widget.tasklist`

### Info:

- Copyright: 2008-2009 Julien Danjou
- Release: v3.5.4
- Author: Julien Danjou <julien@danjou.info>

## Functions

new (screen, filter, buttons, style, update_function, base_widget) | Create a new tasklist widget.
tasklist.filter.allscreen (c, screen) | Filtering function to include all clients.
tasklist.filter.alltags (c, screen) | Filtering function to include the clients from all tags on the screen.
tasklist.filter.currenttags (c, screen) | Filtering function to include only the clients from currently selected tags.
tasklist.filter.minimizedcurrenttags (c, screen) | Filtering function to include only the minimized clients from currently selected tags.
tasklist.filter.focused (c, screen) | Filtering function to include only the currently focused client.

## Functions

new (screen, filter, buttons, style, update_function, base_widget)
  Create a new tasklist widget. The last two arguments (update_function and base_widget) serve to customize the layout of the tasklist (eg. to make it vertical). For that, you will need to copy the awful.widget.common.list_update function, make your changes to it and pass it as update_function here. Also change the base_widget if the default is not what you want.

  ### Parameters:

  - screen The screen to draw tasklist for.
  - filter Filter function to define what clients will be listed.
  - buttons A table with buttons binding to set.
  - style The style overrides default theme.
  - update_function Optional function to create a tag widget on each update. @see awful.widget.common.
  - base_widget Optional container widget for tag widgets. Default is wibox.layout.flex.horizontal(). bg_normal The background color for unfocused client. fg_normal The foreground color for unfocused client. bg_focus The background color for focused client. fg_focus The foreground color for focused client. bg_urgent The background color for urgent clients. fg_urgent The foreground color for urgent clients. bg_minimize The background color for minimized clients. fg_minimize The foreground color for minimized clients. floating Symbol to use for floating clients. ontop Symbol to use for ontop clients. maximized_horizontal Symbol to use for clients that have been horizontally maximized. maximized_vertical Symbol to use for clients that have been vertically maximized. font The font.
tasklist.filter.allscreen (c, screen)
  Filtering function to include all clients.

  ### Parameters:

  - c The client.
  - screen The screen we are drawing on.

  ### Returns:

  true
tasklist.filter.alltags (c, screen)
  Filtering function to include the clients from all tags on the screen.

  ### Parameters:

  - c The client.
  - screen The screen we are drawing on.

  ### Returns:

  true if c is on screen, false otherwise
tasklist.filter.currenttags (c, screen)
  Filtering function to include only the clients from currently selected tags.

  ### Parameters:

  - c The client.
  - screen The screen we are drawing on.

  ### Returns:

  true if c is in a selected tag on screen, false otherwise
tasklist.filter.minimizedcurrenttags (c, screen)
  Filtering function to include only the minimized clients from currently selected tags.

  ### Parameters:

  - c The client.
  - screen The screen we are drawing on.

  ### Returns:

  true if c is in a selected tag on screen and is minimized, false otherwise
tasklist.filter.focused (c, screen)
  Filtering function to include only the currently focused client.

  ### Parameters:

  - c The client.
  - screen The screen we are drawing on.

  ### Returns:

  true if c is focused on screen, false otherwise

generated by LDoc 1.4.2